Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Types | Public Member Functions | List of all members
ranges::v3::view::take_while_fn Struct Reference

## Synopsis of methods
constexpr view< take_while_fn > | take_while {}

## Public Types
template<typename Rng , typename Pred , typename Proj = ident>
using | Concept = meta::and_< InputRange< Rng >, IndirectPredicate< Pred, projected< iterator_t< Rng >, Proj > >>

## Public Member Functions
template<typename Rng , typename Pred , requires = (Concept<Rng, Pred>())>
take_while_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const
template<typename Rng , typename Pred , typename Proj , requires = (Concept<Rng, Pred, Proj>())>
auto | operator() (Rng &&rng, Pred pred, Proj proj) const noexcept(noexcept(decltype(take_while_view< all_t< Rng >, composed< Pred, Proj >>{ all(static_cast< Rng && >(rng)), compose(std::move(pred), std::move(proj)) })(take_while_view< all_t< Rng >, composed< Pred, Proj >>{ all(static_cast< Rng && >(rng)), compose(std::move(pred), std::move(proj)) }))) -> decltype(take_while_view< all_t< Rng >, composed< Pred, Proj >>